This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999856 - Operation getMaxRequests on throttling operation resource fails
Operation getMaxRequests on throttling operation resource fails
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: JON (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: ---
Assigned To: kconner
Tomas Plevko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:33 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-08-22 05:33:19 EDT
Description of problem:


Version-Release number of selected component (if applicable):
RHQ 4.9-MASTER + rhq-switchyard-plugin-1.0.0.SNAPSHOT

How reproducible: always


Steps to Reproduce:
1. deploy switchyard quickstart (I used validate-xml)
2. go to OrderService and run operation getMaxRequests

Actual results: Operation result is Failure.

Operation [getMaxRequests] not found on MBean [org.switchyard.admin:type=Throttling,service="{urn:switchyard-quickstart:validate-xml:0.1.0}OrderService"].

Expected results:Operation result must be success.
Comment 2 kconner 2013-08-27 09:45:43 EDT
Changed the operations to metrics as they are being identified in the bean as attributes.  They are now also identified as traits.

For details of the change see

https://github.com/knrc/rhq-switchyard-plugin/issues/2
Comment 3 Tomas Plevko 2013-09-18 11:03:22 EDT
Verified. 4.10.0 + rhq-switchyard-plugin-1.0.0.SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.